Oracle MySQL Server 8.0.x < 8.0.37 (2024 年 7 月 CPU)

medium Nessus Plugin ID 193568

概要

遠端主機受到多個弱點影響

說明

遠端主機上安裝的 MySQL Server 版本受到 2024 年 7 月 CPU 公告中提及的多個弱點影響。

- Oracle MySQL 的 MySQL Server 產品中存有弱點 (元件:Packaging (OpenSSL))。
受到影響的支援版本是 8.0.36 與更早版本,以及 8.3.0 與更早版本。利用此弱點的難度較大,透過 TLS 存取網路的未經驗證的攻擊者可以藉此入侵 MySQL Server。成功攻擊此弱點可導致未經授權便能造成 MySQL 伺服器懸置或經常重複性當機 (完全 DOS),以及未經授權地更新、插入或刪除某些 MySQL 伺服器可存取資料的存取權。(CVE-2023-6129)

- Oracle MySQL 的 MySQL Server 產品中存有弱點 (元件:Server: DML)。受到影響的支援版本是 8.0.34 與更早版本,以及 8.3.0 與更早版本。攻擊此弱點的難度較小,經由多個通訊協定存取網路的高權限攻擊者可藉此入侵 MySQL 伺服器。成功攻擊此弱點可導致未經授權便能造成 MySQL 伺服器懸置或經常重複性當機 (完全 DOS),以及未經授權地更新、插入或刪除某些 MySQL 伺服器可存取資料的存取權。(CVE-2024-21015)

- Oracle MySQL 的 MySQL 伺服器產品中存有弱點 (元件:Server: Optimizer)。受到影響的支援版本是 8.0.36 與更早版本,以及 8.3.0 與更早版本。攻擊此弱點的難度較小,經由多個通訊協定存取網路的高權限攻擊者可藉此入侵 MySQL 伺服器。若成功攻擊此弱點,未經授權即可造成 MySQL 伺服器懸置或經常重複性當機 (完全 DOS)。(CVE-2024-20998)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

根據 2024 年 7 月 Oracle 重要修補程式更新公告,套用適當的修補程式。

另請參閱

https://www.oracle.com/security-alerts/cpuapr2024.html

https://www.oracle.com/docs/tech/security-alerts/cpuapr2024csaf.json

https://www.oracle.com/security-alerts/cpujul2024.html

https://www.oracle.com/docs/tech/security-alerts/cpujul2024csaf.json

Plugin 詳細資訊

嚴重性: Medium

ID: 193568

檔案名稱: mysql_8_0_37.nasl

版本: 1.3

類型: remote

系列: Databases

已發布: 2024/4/19

已更新: 2024/7/19

支援的感應器: Nessus

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: Medium

基本分數: 6.2

時間分數: 4.6

媒介: CVSS2#AV:N/AC:H/Au:M/C:N/I:C/A:C

CVSS 評分資料來源: CVE-2024-21166

CVSS v3

風險因素: Medium

基本分數: 6.5

時間分數: 5.7

媒介: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:L/A:H

時間媒介: CVSS:3.0/E:U/RL:O/RC:C

CVSS 評分資料來源: CVE-2023-6129

弱點資訊

CPE: cpe:/a:oracle:mysql

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2024/4/16

弱點發布日期: 2024/4/16

參考資訊

CVE: CVE-2023-6129, CVE-2024-20994, CVE-2024-20998, CVE-2024-21000, CVE-2024-21008, CVE-2024-21009, CVE-2024-21013, CVE-2024-21047, CVE-2024-21054, CVE-2024-21060, CVE-2024-21062, CVE-2024-21069, CVE-2024-21087, CVE-2024-21096, CVE-2024-21102, CVE-2024-21135, CVE-2024-21157, CVE-2024-21159, CVE-2024-21160, CVE-2024-21166